Superset of HTML select box contains specific features such as data binding, grouping, sorting, filtering, and templates.

List of Components:
* [AutoComplete](https://www.syncfusion.com/blazor-components/blazor-autocomplete?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)
* [ComboBox](https://www.syncfusion.com/blazor-components/blazor-combobox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)
* [DropDownList](https://www.syncfusion.com/blazor-components/blazor-dropdown-list?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)
* [ListBox](https://www.syncfusion.com/blazor-components/blazor-listbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)
* [MultiSelect Dropdown](https://www.syncfusion.com/blazor-components/blazor-multiselect-dropdown?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)

## [AutoComplete](https://www.syncfusion.com/blazor-components/blazor-autocomplete?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)
The Blazor AutoComplete is a textbox component that provides a list of suggestions to select from as the user types.

### Key features
* [Data binding](https://blazor.syncfusion.com/documentation/autocomplete/data-binding/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) - Binds and accesses the list of items from local or server-side data source.
* [Templates](https://blazor.syncfusion.com/documentation/autocomplete/templates/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) - Customizes the list item, header, and footer.

## [ComboBox](https://www.syncfusion.com/blazor-components/blazor-combobox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)
The Blazor ComboBox component is a editable option that also allows users to choose an option from a predefined pop-up list.

### Key features
* [Data binding](https://blazor.syncfusion.com/documentation/combobox/data-binding/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) - Binds and accesses the list of items from local or server-side data source.
* [Templates](https://blazor.syncfusion.com/documentation/combobox/templates/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) - Customizes the list items, selected value, header, and footer.

## [DropDownList](https://www.syncfusion.com/blazor-components/blazor-dropdown-list?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)
The Blazor Dropdown List is a non-editable from a list of predefined values.

### Key features
* [Data binding](https://blazor.syncfusion.com/documentation/dropdown-list/data-binding/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) - Binds and accesses the list of items from the local or server-side data source.
* [Templates](https://blazor.syncfusion.com/documentation/dropdown-list/templates/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) - Customizes the list items, selected value, header, and footer.
  
## [ListBox](https://www.syncfusion.com/blazor-components/blazor-listbox?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)
The Blazor ListBox component used to display a list of items. Users can select one or more items in the list using a checkbox or by keyboard selection.

### Key features
* [Data binding](https://blazor.syncfusion.com/documentation/listbox/data-binding/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) - Binds and accesses the list of items from local or server-side data source.
* [Templates](https://blazor.syncfusion.com/documentation/listbox/icons-and-templates/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget#templates) - Customizes the list item, and no records content.

## [MultiSelect Dropdown](https://www.syncfusion.com/blazor-components/blazor-multiselect-dropdown?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)
The Blazor MultiSelect Dropdown is allows the user to type or select multiple values from a list of predefined options.

### Key features
* [Data binding](https://blazor.syncfusion.com/documentation/multiselect-dropdown/data-binding/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) - Binds and accesses the list of items from local or server-side data source.
* [Templates](https://blazor.syncfusion.com/documentation/multiselect-dropdown/templates/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) - Customizes the list items, selected value, header, and footer.

## Related links
[Learn More about Blazor UI components](https://www.syncfusion.com/blazor-components/blazor-dropdown-list?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/dropdown-list/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/index/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/dropdown-list/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20DropDowns%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-dropdowns-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.